Index: branches/2521_ProblemRefactoring/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/GESymbolicDataAnalysisProblem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/GESymbolicDataAnalysisProblem.cs	(revision 17520)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/GESymbolicDataAnalysisProblem.cs	(revision 17695)
@@ -26,4 +26,5 @@
 using System.Drawing;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Common.Resources;
@@ -34,5 +35,4 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Problems.DataAnalysis;
@@ -43,10 +43,9 @@
 namespace HeuristicLab.Problems.GrammaticalEvolution {
   [StorableType("E31AC1E8-590D-4D65-883F-3113544B6C91")]
-  public abstract class GESymbolicDataAnalysisProblem<T, U, V> : HeuristicOptimizationProblem<U, V>, IDataAnalysisProblem<T>,
+  public abstract class GESymbolicDataAnalysisProblem<T, U> : HeuristicOptimizationProblem<U>, IDataAnalysisProblem<T>,
                                                                  IGESymbolicDataAnalysisProblem, IStorableContent,
                                                                  IProblemInstanceConsumer<T>, IProblemInstanceExporter<T>
     where T : class, IDataAnalysisProblemData
-    where U : class, IGESymbolicDataAnalysisEvaluator<T>
-    where V : class, IIntegerVectorCreator {
+    where U : class, IGESymbolicDataAnalysisEvaluator<T> {
 
     #region parameter names & descriptions
@@ -152,11 +151,11 @@
       RegisterEventHandlers();
     }
-    protected GESymbolicDataAnalysisProblem(GESymbolicDataAnalysisProblem<T, U, V> original, Cloner cloner)
+    protected GESymbolicDataAnalysisProblem(GESymbolicDataAnalysisProblem<T, U> original, Cloner cloner)
       : base(original, cloner) {
       RegisterEventHandlers();
     }
 
-    protected GESymbolicDataAnalysisProblem(T problemData, U evaluator, V solutionCreator)
-      : base(evaluator, solutionCreator) {
+    protected GESymbolicDataAnalysisProblem(T problemData, U evaluator)
+      : base(evaluator) {
       Parameters.Add(new ValueParameter<T>(ProblemDataParameterName, ProblemDataParameterDescription, problemData));
       Parameters.Add(new ValueParameter<ISymbolicDataAnalysisGrammar>(SymbolicExpressionTreeGrammarParameterName, SymbolicExpressionTreeGrammarParameterDescription));
@@ -267,14 +266,14 @@
         op.RelativeNumberOfEvaluatedSamplesParameter.ActualName = RelativeNumberOfEvaluatedSamplesParameter.Name;
         op.ApplyLinearScalingParameter.ActualName = ApplyLinearScalingParameter.Name;
-        op.IntegerVectorParameter.ActualName = SolutionCreator.IntegerVectorParameter.Name;
+        //op.IntegerVectorParameter.ActualName = SolutionCreator.IntegerVectorParameter.Name;
         op.GenotypeToPhenotypeMapperParameter.ActualName = GenotypeToPhenotypeMapperParameter.Name;
         op.SymbolicExpressionTreeGrammarParameter.ActualName = SymbolicExpressionTreeGrammarParameter.Name;
       }
       foreach (var op in operators.OfType<IIntegerVectorCrossover>()) {
-        op.ParentsParameter.ActualName = SolutionCreator.IntegerVectorParameter.ActualName;
-        op.ChildParameter.ActualName = SolutionCreator.IntegerVectorParameter.ActualName;
+        //op.ParentsParameter.ActualName = SolutionCreator.IntegerVectorParameter.ActualName;
+        //op.ChildParameter.ActualName = SolutionCreator.IntegerVectorParameter.ActualName;
       }
       foreach (var op in operators.OfType<IIntegerVectorManipulator>()) {
-        op.IntegerVectorParameter.ActualName = SolutionCreator.IntegerVectorParameter.ActualName;
+        //op.IntegerVectorParameter.ActualName = SolutionCreator.IntegerVectorParameter.ActualName;
       }
       foreach (var op in operators.OfType<IIntegerVectorCreator>()) {
Index: branches/2521_ProblemRefactoring/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/GESymbolicDataAnalysisSingleObjectiveProblem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/GESymbolicDataAnalysisSingleObjectiveProblem.cs	(revision 17520)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/GESymbolicDataAnalysisSingleObjectiveProblem.cs	(revision 17695)
@@ -24,11 +24,10 @@
 using System;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
@@ -36,9 +35,8 @@
 namespace HeuristicLab.Problems.GrammaticalEvolution {
   [StorableType("27E01C21-6772-4CE5-8301-EF3102D1BB28")]
-  public abstract class GESymbolicDataAnalysisSingleObjectiveProblem<T, U, V> : GESymbolicDataAnalysisProblem<T, U, V>,
+  public abstract class GESymbolicDataAnalysisSingleObjectiveProblem<T, U> : GESymbolicDataAnalysisProblem<T, U>,
                                                                                 IGESymbolicDataAnalysisSingleObjectiveProblem
     where T : class, IDataAnalysisProblemData
-    where U : class, IGESymbolicDataAnalysisSingleObjectiveEvaluator<T>
-    where V : class, IIntegerVectorCreator {
+    where U : class, IGESymbolicDataAnalysisSingleObjectiveEvaluator<T> {
     private const string MaximizationParameterName = "Maximization";
     private const string BestKnownQualityParameterName = "BestKnownQuality";
@@ -73,5 +71,5 @@
     [StorableConstructor]
     protected GESymbolicDataAnalysisSingleObjectiveProblem(StorableConstructorFlag _) : base(_) { }
-    protected GESymbolicDataAnalysisSingleObjectiveProblem(GESymbolicDataAnalysisSingleObjectiveProblem<T, U, V> original, Cloner cloner)
+    protected GESymbolicDataAnalysisSingleObjectiveProblem(GESymbolicDataAnalysisSingleObjectiveProblem<T, U> original, Cloner cloner)
       : base(original, cloner) {
       RegisterEventHandler();
@@ -79,6 +77,6 @@
     }
 
-    public GESymbolicDataAnalysisSingleObjectiveProblem(T problemData, U evaluator, V solutionCreator)
-      : base(problemData, evaluator, solutionCreator) {
+    public GESymbolicDataAnalysisSingleObjectiveProblem(T problemData, U evaluator)
+      : base(problemData, evaluator) {
       Parameters.Add(new FixedValueParameter<BoolValue>(MaximizationParameterName, "Set to false if the problem should be minimized."));
       Parameters.Add(new FixedValueParameter<DoubleValue>(BestKnownQualityParameterName, "The quality of the best known solution of this problem."));
Index: branches/2521_ProblemRefactoring/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/GESymbolicRegressionSingleObjectiveProblem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/GESymbolicRegressionSingleObjectiveProblem.cs	(revision 17520)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Problems.GrammaticalEvolution/3.4/SymbolicRegression/GESymbolicRegressionSingleObjectiveProblem.cs	(revision 17695)
@@ -24,9 +24,8 @@
 
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Parameters;
-using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
@@ -38,5 +37,5 @@
   [StorableType("65208F51-3181-4765-BA04-33CADBCE0826")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 180)]
-  public class GESymbolicRegressionSingleObjectiveProblem : GESymbolicDataAnalysisSingleObjectiveProblem<IRegressionProblemData, IGESymbolicRegressionSingleObjectiveEvaluator, IIntegerVectorCreator>,
+  public class GESymbolicRegressionSingleObjectiveProblem : GESymbolicDataAnalysisSingleObjectiveProblem<IRegressionProblemData, IGESymbolicRegressionSingleObjectiveEvaluator>,
                                                             IRegressionProblem {
     private const double PunishmentFactor = 10;
@@ -65,5 +64,5 @@
 
     public GESymbolicRegressionSingleObjectiveProblem()
-      : base(new RegressionProblemData(), new GESymbolicRegressionSingleObjectiveEvaluator(), new UniformRandomIntegerVectorCreator()) {
+      : base(new RegressionProblemData(), new GESymbolicRegressionSingleObjectiveEvaluator()) {
       Parameters.Add(new FixedValueParameter<DoubleLimit>(EstimationLimitsParameterName, EstimationLimitsParameterDescription));
 
